/* A Bison parser, made from /home/claws/CLAWS/RELEASES/rel_0_8_5/sylpheed-claws/src/matcher_parser_parse.y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

# define	MATCHER_ALL	257
# define	MATCHER_UNREAD	258
# define	MATCHER_NOT_UNREAD	259
# define	MATCHER_NEW	260
# define	MATCHER_NOT_NEW	261
# define	MATCHER_MARKED	262
# define	MATCHER_NOT_MARKED	263
# define	MATCHER_DELETED	264
# define	MATCHER_NOT_DELETED	265
# define	MATCHER_REPLIED	266
# define	MATCHER_NOT_REPLIED	267
# define	MATCHER_FORWARDED	268
# define	MATCHER_NOT_FORWARDED	269
# define	MATCHER_SUBJECT	270
# define	MATCHER_NOT_SUBJECT	271
# define	MATCHER_FROM	272
# define	MATCHER_NOT_FROM	273
# define	MATCHER_TO	274
# define	MATCHER_NOT_TO	275
# define	MATCHER_CC	276
# define	MATCHER_NOT_CC	277
# define	MATCHER_TO_OR_CC	278
# define	MATCHER_NOT_TO_AND_NOT_CC	279
# define	MATCHER_AGE_GREATER	280
# define	MATCHER_AGE_LOWER	281
# define	MATCHER_NEWSGROUPS	282
# define	MATCHER_NOT_NEWSGROUPS	283
# define	MATCHER_INREPLYTO	284
# define	MATCHER_NOT_INREPLYTO	285
# define	MATCHER_REFERENCES	286
# define	MATCHER_NOT_REFERENCES	287
# define	MATCHER_SCORE_GREATER	288
# define	MATCHER_SCORE_LOWER	289
# define	MATCHER_HEADER	290
# define	MATCHER_NOT_HEADER	291
# define	MATCHER_HEADERS_PART	292
# define	MATCHER_NOT_HEADERS_PART	293
# define	MATCHER_MESSAGE	294
# define	MATCHER_NOT_MESSAGE	295
# define	MATCHER_BODY_PART	296
# define	MATCHER_NOT_BODY_PART	297
# define	MATCHER_EXECUTE	298
# define	MATCHER_NOT_EXECUTE	299
# define	MATCHER_MATCHCASE	300
# define	MATCHER_MATCH	301
# define	MATCHER_REGEXPCASE	302
# define	MATCHER_REGEXP	303
# define	MATCHER_SCORE	304
# define	MATCHER_MOVE	305
# define	MATCHER_COPY	306
# define	MATCHER_DELETE	307
# define	MATCHER_MARK	308
# define	MATCHER_UNMARK	309
# define	MATCHER_MARK_AS_READ	310
# define	MATCHER_MARK_AS_UNREAD	311
# define	MATCHER_FORWARD	312
# define	MATCHER_FORWARD_AS_ATTACHMENT	313
# define	MATCHER_EOL	314
# define	MATCHER_STRING	315
# define	MATCHER_OR	316
# define	MATCHER_AND	317
# define	MATCHER_COLOR	318
# define	MATCHER_SCORE_EQUAL	319
# define	MATCHER_REDIRECT	320
# define	MATCHER_DELETE_ON_SERVER	321
# define	MATCHER_SIZE_GREATER	322
# define	MATCHER_SIZE_SMALLER	323
# define	MATCHER_SIZE_EQUAL	324
# define	MATCHER_SECTION	325
# define	MATCHER_INTEGER	326

#line 1 "matcher_parser_parse.y"

#include "defs.h"

#include <glib.h>

#include "intl.h"
#include "utils.h"
#include "filtering.h"
#include "scoring.h"
#include "matcher.h"
#include "matcher_parser.h"
#include "matcher_parser_lex.h"

static gint error = 0;
static gint bool_op = 0;
static gint match_type = 0;
static gchar * header = NULL;

static MatcherProp * prop;

static GSList * matchers_list = NULL;

static MatcherList * cond;
static gint score = 0;
static FilteringAction * action = NULL;

static FilteringProp *  filtering;
static ScoringProp * scoring = NULL;

static GSList ** prefs_scoring = NULL;
static GSList ** prefs_filtering = NULL;

static int matcher_parser_dialog = 0;


/* ******************************************************************** */



void matcher_parser_start_parsing(FILE * f)
{
	matcher_parserrestart(f);
	matcher_parserparse();
}
 
FilteringProp * matcher_parser_get_filtering(gchar * str)
{
	void * bufstate;

	/* bad coding to enable the sub-grammar matching
	   in yacc */
	matcher_parserlineno = 1;
	matcher_parser_dialog = 1;
	bufstate = matcher_parser_scan_string(str);
	if (matcher_parserparse() != 0)
		filtering = NULL;
	matcher_parser_dialog = 0;
	matcher_parser_delete_buffer(bufstate);
	return filtering;
}

ScoringProp * matcher_parser_get_scoring(gchar * str)
{
	void * bufstate;

	/* bad coding to enable the sub-grammar matching
	   in yacc */
	matcher_parserlineno = 1;
	matcher_parser_dialog = 1;
	bufstate = matcher_parser_scan_string(str);
	if (matcher_parserparse() != 0)
		scoring = NULL;
	matcher_parser_dialog = 0;
	matcher_parser_delete_buffer(bufstate);
	return scoring;
}

MatcherList * matcher_parser_get_cond(gchar * str)
{
	void * bufstate;

	/* bad coding to enable the sub-grammar matching
	   in yacc */
	matcher_parserlineno = 1;
	matcher_parser_dialog = 1;
	bufstate = matcher_parser_scan_string(str);
	matcher_parserparse();
	matcher_parser_dialog = 0;
	matcher_parser_delete_buffer(bufstate);
	return cond;
}

MatcherProp * matcher_parser_get_prop(gchar * str)
{
	MatcherList * list;
	MatcherProp * prop;

	matcher_parserlineno = 1;
	list = matcher_parser_get_cond(str);
	if (list == NULL)
		return NULL;

	if (list->matchers == NULL)
		return NULL;

	if (list->matchers->next != NULL)
		return NULL;

	prop = list->matchers->data;

	g_slist_free(list->matchers);
	g_free(list);

	return prop;
}

void matcher_parsererror(char * str)
{
	GSList * l;

	if (matchers_list) {
		for(l = matchers_list ; l != NULL ;
		    l = g_slist_next(l))
			matcherprop_free((MatcherProp *)
					 l->data);
		g_slist_free(matchers_list);
		matchers_list = NULL;
	}

	g_warning(_("scoring / filtering parsing: %i: %s\n"),
		  matcher_parserlineno, str);
	error = 1;
}

int matcher_parserwrap(void)
{
	return 1;
}

#line 141 "matcher_parser_parse.y"
#ifndef YYSTYPE
typedef union {
	char * str;
	int value;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		165
#define	YYFLAG		-32768
#define	YYNTBASE	73

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 326 ? yytranslate[x] : 91)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     1,     4,     7,     9,    11,    13,    16,    19,
      22,    24,    27,    28,    30,    31,    33,    35,    37,    39,
      41,    43,    45,    49,    51,    53,    55,    57,    59,    61,
      63,    65,    67,    69,    71,    73,    75,    77,    79,    81,
      85,    89,    93,    97,   101,   105,   109,   113,   117,   121,
     124,   127,   131,   135,   139,   143,   147,   151,   154,   157,
     160,   163,   166,   169,   170,   176,   177,   183,   187,   191,
     195,   199,   203,   207,   210,   213,   216,   219,   222,   224,
     226,   228,   230,   232,   236,   240,   244,   247,   249
};
static const short yyrhs[] =
{
      -1,    74,    75,     0,    76,    75,     0,    76,     0,    77,
       0,    78,     0,     1,    60,     0,    71,    60,     0,    83,
      79,     0,    60,     0,    81,    80,     0,     0,    60,     0,
       0,    89,     0,    90,     0,    46,     0,    47,     0,    48,
       0,    49,     0,    84,     0,    84,    85,    86,     0,    86,
       0,    63,     0,    62,     0,     3,     0,     4,     0,     5,
       0,     6,     0,     7,     0,     8,     0,     9,     0,    10,
       0,    11,     0,    12,     0,    13,     0,    14,     0,    15,
       0,    16,    82,    61,     0,    17,    82,    61,     0,    18,
      82,    61,     0,    19,    82,    61,     0,    20,    82,    61,
       0,    21,    82,    61,     0,    22,    82,    61,     0,    23,
      82,    61,     0,    24,    82,    61,     0,    25,    82,    61,
       0,    26,    72,     0,    27,    72,     0,    28,    82,    61,
       0,    29,    82,    61,     0,    30,    82,    61,     0,    31,
      82,    61,     0,    32,    82,    61,     0,    33,    82,    61,
       0,    34,    72,     0,    35,    72,     0,    65,    72,     0,
      68,    72,     0,    69,    72,     0,    70,    72,     0,     0,
      36,    61,    87,    82,    61,     0,     0,    37,    61,    88,
      82,    61,     0,    38,    82,    61,     0,    39,    82,    61,
       0,    40,    82,    61,     0,    41,    82,    61,     0,    42,
      82,    61,     0,    43,    82,    61,     0,    44,    61,     0,
      45,    61,     0,    44,    61,     0,    51,    61,     0,    52,
      61,     0,    53,     0,    54,     0,    55,     0,    56,     0,
      57,     0,    58,    72,    61,     0,    59,    72,    61,     0,
      66,    72,    61,     0,    64,    72,     0,    67,     0,    50,
      72,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   176,   176,   185,   188,   191,   193,   194,   199,   219,
     221,   224,   226,   237,   239,   250,   262,   274,   279,   283,
     287,   293,   301,   306,   313,   318,   324,   332,   339,   346,
     353,   360,   367,   374,   381,   388,   395,   402,   409,   416,
     425,   434,   443,   452,   461,   470,   479,   488,   497,   506,
     515,   524,   533,   542,   551,   560,   569,   578,   587,   596,
     605,   613,   621,   629,   629,   642,   642,   655,   664,   673,
     682,   691,   700,   709,   718,   729,   739,   748,   757,   764,
     771,   778,   785,   792,   803,   814,   825,   834,   842
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "MATCHER_ALL", "MATCHER_UNREAD", 
  "MATCHER_NOT_UNREAD", "MATCHER_NEW", "MATCHER_NOT_NEW", 
  "MATCHER_MARKED", "MATCHER_NOT_MARKED", "MATCHER_DELETED", 
  "MATCHER_NOT_DELETED", "MATCHER_REPLIED", "MATCHER_NOT_REPLIED", 
  "MATCHER_FORWARDED", "MATCHER_NOT_FORWARDED", "MATCHER_SUBJECT", 
  "MATCHER_NOT_SUBJECT", "MATCHER_FROM", "MATCHER_NOT_FROM", "MATCHER_TO", 
  "MATCHER_NOT_TO", "MATCHER_CC", "MATCHER_NOT_CC", "MATCHER_TO_OR_CC", 
  "MATCHER_NOT_TO_AND_NOT_CC", "MATCHER_AGE_GREATER", "MATCHER_AGE_LOWER", 
  "MATCHER_NEWSGROUPS", "MATCHER_NOT_NEWSGROUPS", "MATCHER_INREPLYTO", 
  "MATCHER_NOT_INREPLYTO", "MATCHER_REFERENCES", "MATCHER_NOT_REFERENCES", 
  "MATCHER_SCORE_GREATER", "MATCHER_SCORE_LOWER", "MATCHER_HEADER", 
  "MATCHER_NOT_HEADER", "MATCHER_HEADERS_PART", 
  "MATCHER_NOT_HEADERS_PART", "MATCHER_MESSAGE", "MATCHER_NOT_MESSAGE", 
  "MATCHER_BODY_PART", "MATCHER_NOT_BODY_PART", "MATCHER_EXECUTE", 
  "MATCHER_NOT_EXECUTE", "MATCHER_MATCHCASE", "MATCHER_MATCH", 
  "MATCHER_REGEXPCASE", "MATCHER_REGEXP", "MATCHER_SCORE", "MATCHER_MOVE", 
  "MATCHER_COPY", "MATCHER_DELETE", "MATCHER_MARK", "MATCHER_UNMARK", 
  "MATCHER_MARK_AS_READ", "MATCHER_MARK_AS_UNREAD", "MATCHER_FORWARD", 
  "MATCHER_FORWARD_AS_ATTACHMENT", "MATCHER_EOL", "MATCHER_STRING", 
  "MATCHER_OR", "MATCHER_AND", "MATCHER_COLOR", "MATCHER_SCORE_EQUAL", 
  "MATCHER_REDIRECT", "MATCHER_DELETE_ON_SERVER", "MATCHER_SIZE_GREATER", 
  "MATCHER_SIZE_SMALLER", "MATCHER_SIZE_EQUAL", "MATCHER_SECTION", 
  "MATCHER_INTEGER", "file", "@1", "file_line_list", "file_line", 
  "section_notification", "instruction", "end_instr_opt", "end_action", 
  "filtering_or_scoring", "match_type", "condition", "condition_list", 
  "bool_op", "one_condition", "@2", "@3", "filtering_action", 
  "scoring_rule", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    74,    73,    75,    75,    76,    76,    76,    77,    78,
      78,    79,    79,    80,    80,    81,    81,    82,    82,    82,
      82,    83,    84,    84,    85,    85,    86,    86,    86,    86,
      86,    86,    86,    86,    86,    86,    86,    86,    86,    86,
      86,    86,    86,    86,    86,    86,    86,    86,    86,    86,
      86,    86,    86,    86,    86,    86,    86,    86,    86,    86,
      86,    86,    86,    87,    86,    88,    86,    86,    86,    86,
      86,    86,    86,    86,    86,    89,    89,    89,    89,    89,
      89,    89,    89,    89,    89,    89,    89,    89,    90
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     0,     2,     2,     1,     1,     1,     2,     2,     2,
       1,     2,     0,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     2,     2,     2,
       2,     2,     2,     0,     5,     0,     5,     3,     3,     3,
       3,     3,     3,     2,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     3,     3,     3,     2,     1,     2
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       1,     0,     0,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    10,     0,     0,     0,
       0,     0,     2,     0,     5,     6,    12,    21,    23,     7,
      17,    18,    19,    20,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,    50,     0,     0,     0,     0,
       0,     0,    57,    58,    63,    65,     0,     0,     0,     0,
       0,     0,    73,    74,    59,    60,    61,    62,     8,     3,
       0,     0,     0,     0,    78,    79,    80,    81,    82,     0,
       0,     0,     0,    87,     9,    14,    15,    16,    25,    24,
       0,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    51,    52,    53,    54,    55,    56,     0,     0,    67,
      68,    69,    70,    71,    72,    75,    88,    76,    77,     0,
       0,    86,     0,    13,    11,    22,     0,     0,    83,    84,
      85,    64,    66,     0,     0,     0
};

static const short yydefgoto[] =
{
     163,     1,    52,    53,    54,    55,   114,   154,   115,    64,
      56,    57,   120,    58,   137,   138,   116,   117
};

static const short yypact[] =
{
  -32768,   121,   -31,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,   -29,   -29,   -29,   -29,
     -29,   -29,   -29,   -29,   -29,   -29,     1,     2,   -29,   -29,
     -29,   -29,   -29,   -29,     3,     4,    16,    17,   -29,   -29,
     -29,   -29,   -29,   -29,    18,    19,-32768,     9,    10,    11,
      12,    25,-32768,    27,-32768,-32768,    49,   -53,-32768,-32768,
  -32768,-32768,-32768,-32768,    28,    29,    30,    33,    48,    50,
      51,    53,    56,    57,-32768,-32768,    58,    62,   106,   107,
     108,   109,-32768,-32768,-32768,-32768,   110,   111,   112,   113,
     114,   115,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
     116,    14,   117,   118,-32768,-32768,-32768,-32768,-32768,    38,
     164,   165,   166,-32768,-32768,   120,-32768,-32768,-32768,-32768,
     190,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,   -29,   -29,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   122,
     123,-32768,   124,-32768,-32768,-32768,   126,   127,-32768,-32768,
  -32768,-32768,-32768,    88,   182,-32768
};

static const short yypgoto[] =
{
  -32768,-32768,   186,-32768,-32768,-32768,-32768,-32768,-32768,   -17,
  -32768,-32768,-32768,   125,-32768,-32768,-32768,-32768
};


#define	YYLAST		260


static const short yytable[] =
{
      65,    66,    67,    68,    69,    70,    71,    72,    73,   118,
     119,    76,    77,    78,    79,    80,    81,    60,    61,    62,
      63,    86,    87,    88,    89,    90,    91,    -4,     2,    59,
       3,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    74,    75,    82,    83,    84,    85,    92,
      93,    94,    95,    96,    97,    98,   146,    46,   164,   121,
     122,   123,    47,   100,   124,    48,    49,    50,    51,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   125,
     149,   126,   127,   111,   128,   112,   113,   129,   130,   131,
     156,   157,     2,   132,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,   133,   134,   135,
     136,   139,   140,   141,   142,   143,   144,   145,   147,   148,
     153,    46,   165,   158,   159,   160,    47,   161,   162,    48,
      49,    50,    51,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,   150,   151,   152,    99,
       0,     0,     0,     0,     0,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,    48,    49,
      50
};

static const short yycheck[] =
{
      17,    18,    19,    20,    21,    22,    23,    24,    25,    62,
      63,    28,    29,    30,    31,    32,    33,    46,    47,    48,
      49,    38,    39,    40,    41,    42,    43,     0,     1,    60,
       3,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    72,    72,    72,    72,    61,    61,    61,
      61,    72,    72,    72,    72,    60,    72,    60,     0,    61,
      61,    61,    65,    44,    61,    68,    69,    70,    71,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    61,
      72,    61,    61,    64,    61,    66,    67,    61,    61,    61,
     137,   138,     1,    61,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      60,    60,     0,    61,    61,    61,    65,    61,    61,    68,
      69,    70,    71,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    72,    72,    72,    53,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    -1,    68,    69,
      70
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 1:
#line 177 "matcher_parser_parse.y"
{
	if (!matcher_parser_dialog) {
		prefs_scoring = &global_scoring;
		prefs_filtering = &global_processing;
	}
}
    break;
case 7:
#line 195 "matcher_parser_parse.y"
{
	yyerrok;
}
    break;
case 8:
#line 201 "matcher_parser_parse.y"
{
	gchar * folder = yyvsp[-1].str;
	FolderItem * item = NULL;

	if (!matcher_parser_dialog) {
		item = folder_find_item_from_identifier(folder);
		if (item == NULL) {
			prefs_scoring = &global_scoring;
			prefs_filtering = &global_processing;
		}
		else {
			prefs_scoring = &item->prefs->scoring;
			prefs_filtering = &item->prefs->processing;
		}
	}
}
    break;
case 12:
#line 227 "matcher_parser_parse.y"
{
	if (matcher_parser_dialog)
		YYACCEPT;
	else {
		matcher_parsererror("parse error");
		YYERROR;
	}
}
    break;
case 14:
#line 240 "matcher_parser_parse.y"
{
	if (matcher_parser_dialog)
		YYACCEPT;
	else {
		matcher_parsererror("parse error");
		YYERROR;
	}
}
    break;
case 15:
#line 252 "matcher_parser_parse.y"
{
	filtering = filteringprop_new(cond, action);
	cond = NULL;
	action = NULL;
	if (!matcher_parser_dialog) {
		* prefs_filtering = g_slist_append(* prefs_filtering,
						   filtering);
		filtering = NULL;
	}
}
    break;
case 16:
#line 263 "matcher_parser_parse.y"
{
	scoring = scoringprop_new(cond, score);
	cond = NULL;
	score = 0;
	if (!matcher_parser_dialog) {
		* prefs_scoring = g_slist_append(* prefs_scoring, scoring);
		scoring = NULL;
	}
}
    break;
case 17:
#line 276 "matcher_parser_parse.y"
{
	match_type = MATCHTYPE_MATCHCASE;
}
    break;
case 18:
#line 280 "matcher_parser_parse.y"
{
	match_type = MATCHTYPE_MATCH;
}
    break;
case 19:
#line 284 "matcher_parser_parse.y"
{
	match_type = MATCHTYPE_REGEXPCASE;
}
    break;
case 20:
#line 288 "matcher_parser_parse.y"
{
	match_type = MATCHTYPE_REGEXP;
}
    break;
case 21:
#line 295 "matcher_parser_parse.y"
{
	cond = matcherlist_new(matchers_list, (bool_op == MATCHERBOOL_AND));
	matchers_list = NULL;
}
    break;
case 22:
#line 303 "matcher_parser_parse.y"
{
	matchers_list = g_slist_append(matchers_list, prop);
}
    break;
case 23:
#line 307 "matcher_parser_parse.y"
{
	matchers_list = NULL;
	matchers_list = g_slist_append(matchers_list, prop);
}
    break;
case 24:
#line 315 "matcher_parser_parse.y"
{
	bool_op = MATCHERBOOL_AND;
}
    break;
case 25:
#line 319 "matcher_parser_parse.y"
{
	bool_op = MATCHERBOOL_OR;
}
    break;
case 26:
#line 326 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_ALL;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 27:
#line 333 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_UNREAD;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 28:
#line 340 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_UNREAD;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 29:
#line 347 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NEW;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 30:
#line 354 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_NEW;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 31:
#line 361 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_MARKED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 32:
#line 368 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_MARKED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 33:
#line 375 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_DELETED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 34:
#line 382 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_DELETED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 35:
#line 389 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_REPLIED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 36:
#line 396 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_REPLIED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 37:
#line 403 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_FORWARDED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 38:
#line 410 "matcher_parser_parse.y"
{
	gint criteria = 0;

	criteria = MATCHCRITERIA_NOT_FORWARDED;
	prop = matcherprop_new(criteria, NULL, 0, NULL, 0);
}
    break;
case 39:
#line 417 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_SUBJECT;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 40:
#line 426 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_SUBJECT;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 41:
#line 435 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_FROM;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 42:
#line 444 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_FROM;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 43:
#line 453 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_TO;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 44:
#line 462 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_TO;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 45:
#line 471 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_CC;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 46:
#line 480 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_CC;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 47:
#line 489 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_TO_OR_CC;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 48:
#line 498 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_TO_AND_NOT_CC;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 49:
#line 507 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value = 0;

	criteria = MATCHCRITERIA_AGE_GREATER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 50:
#line 516 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value = 0;

	criteria = MATCHCRITERIA_AGE_LOWER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 51:
#line 525 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NEWSGROUPS;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 52:
#line 534 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_NEWSGROUPS;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 53:
#line 543 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_INREPLYTO;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 54:
#line 552 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_INREPLYTO;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 55:
#line 561 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_REFERENCES;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 56:
#line 570 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_REFERENCES;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 57:
#line 579 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value = 0;

	criteria = MATCHCRITERIA_SCORE_GREATER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 58:
#line 588 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value = 0;

	criteria = MATCHCRITERIA_SCORE_LOWER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 59:
#line 597 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value = 0;

	criteria = MATCHCRITERIA_SCORE_EQUAL;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 60:
#line 606 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value    = 0;
	criteria = MATCHCRITERIA_SIZE_GREATER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 61:
#line 614 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value    = 0;
	criteria = MATCHCRITERIA_SIZE_SMALLER;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 62:
#line 622 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gint value    = 0;
	criteria = MATCHCRITERIA_SIZE_EQUAL;
	value = atoi(yyvsp[0].str);
	prop = matcherprop_new(criteria, NULL, 0, NULL, value);
}
    break;
case 63:
#line 630 "matcher_parser_parse.y"
{
	header = g_strdup(yyvsp[0].str);
}
    break;
case 64:
#line 633 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_HEADER;
	expr = yyvsp[-3].str;
	prop = matcherprop_new(criteria, header, match_type, expr, 0);
	g_free(header);
}
    break;
case 65:
#line 643 "matcher_parser_parse.y"
{
	header = g_strdup(yyvsp[0].str);
}
    break;
case 66:
#line 646 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_HEADER;
	expr = yyvsp[-3].str;
	prop = matcherprop_new(criteria, header, match_type, expr, 0);
	g_free(header);
}
    break;
case 67:
#line 656 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_HEADERS_PART;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 68:
#line 665 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_HEADERS_PART;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 69:
#line 674 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_MESSAGE;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 70:
#line 683 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_MESSAGE;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 71:
#line 692 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_BODY_PART;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 72:
#line 701 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_BODY_PART;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, match_type, expr, 0);
}
    break;
case 73:
#line 710 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_EXECUTE;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, 0, expr, 0);
}
    break;
case 74:
#line 719 "matcher_parser_parse.y"
{
	gint criteria = 0;
	gchar * expr = NULL;

	criteria = MATCHCRITERIA_NOT_EXECUTE;
	expr = yyvsp[0].str;
	prop = matcherprop_new(criteria, NULL, 0, expr, 0);
}
    break;
case 75:
#line 731 "matcher_parser_parse.y"
{
	gchar * cmd = NULL;
	gint action_type = 0;

	action_type = MATCHACTION_EXECUTE;
	cmd = yyvsp[0].str;
	action = filteringaction_new(action_type, 0, cmd, 0);
}
    break;
case 76:
#line 740 "matcher_parser_parse.y"
{
	gchar * destination = NULL;
	gint action_type = 0;

	action_type = MATCHACTION_MOVE;
	destination = yyvsp[0].str;
	action = filteringaction_new(action_type, 0, destination, 0);
}
    break;
case 77:
#line 749 "matcher_parser_parse.y"
{
	gchar * destination = NULL;
	gint action_type = 0;

	action_type = MATCHACTION_COPY;
	destination = yyvsp[0].str;
	action = filteringaction_new(action_type, 0, destination, 0);
}
    break;
case 78:
#line 758 "matcher_parser_parse.y"
{
	gint action_type = 0;

	action_type = MATCHACTION_DELETE;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 79:
#line 765 "matcher_parser_parse.y"
{
	gint action_type = 0;

	action_type = MATCHACTION_MARK;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 80:
#line 772 "matcher_parser_parse.y"
{
	gint action_type = 0;

	action_type = MATCHACTION_UNMARK;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 81:
#line 779 "matcher_parser_parse.y"
{
	gint action_type = 0;

	action_type = MATCHACTION_MARK_AS_READ;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 82:
#line 786 "matcher_parser_parse.y"
{
	gint action_type = 0;

	action_type = MATCHACTION_MARK_AS_UNREAD;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 83:
#line 793 "matcher_parser_parse.y"
{
	gchar * destination = NULL;
	gint action_type = 0;
	gint account_id = 0;

	action_type = MATCHACTION_FORWARD;
	account_id = atoi(yyvsp[-1].str);
	destination = yyvsp[0].str;
	action = filteringaction_new(action_type, account_id, destination, 0);
}
    break;
case 84:
#line 804 "matcher_parser_parse.y"
{
	gchar * destination = NULL;
	gint action_type = 0;
	gint account_id = 0;

	action_type = MATCHACTION_FORWARD_AS_ATTACHMENT;
	account_id = atoi(yyvsp[-1].str);
	destination = yyvsp[0].str;
	action = filteringaction_new(action_type, account_id, destination, 0);
}
    break;
case 85:
#line 815 "matcher_parser_parse.y"
{
	gchar * destination = NULL;
	gint action_type = 0;
	gint account_id = 0;

	action_type = MATCHACTION_REDIRECT;
	account_id = atoi(yyvsp[-1].str);
	destination = yyvsp[0].str;
	action = filteringaction_new(action_type, account_id, destination, 0);
}
    break;
case 86:
#line 826 "matcher_parser_parse.y"
{
	gint action_type = 0;
	gint color = 0;

	action_type = MATCHACTION_COLOR;
	color = atoi(yyvsp[0].str);
	action = filteringaction_new(action_type, 0, NULL, color);
}
    break;
case 87:
#line 835 "matcher_parser_parse.y"
{
	gint action_type = 0;
	action_type = MATCHACTION_DELETE_ON_SERVER;
	action = filteringaction_new(action_type, 0, NULL, 0);
}
    break;
case 88:
#line 844 "matcher_parser_parse.y"
{
	score = atoi(yyvsp[0].str);
}
    break;
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 848 "matcher_parser_parse.y"
